
QGIS Application - Bug report #11355

connecting to database puts the dialog behind QGIS main window

2014-10-08 03:19 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee: Salvatore Larosa

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19646

Description

Launch QGIS Master

Open DB Manager Dialog

Connect to a database.

If your connection succeeds, DB Manager is no longer foreground. You need to search and put it foreground before choosing your data.

It's not really a big issue but I mentionned it as "blocker" because it's not the way it worked before, even in 2.4. It remained foreground till

you choose to go back to another dialog. And this behaviour is better IMHO.

Associated revisions

Revision d05b0395 - 2014-10-16 12:19 PM - Jürgen Fischer

restore active window after requesting credentials (fixes #11355)

History

#1 - 2014-10-10 07:45 AM - Jürgen Fischer

- Subject changed from DB Manager : connecting to database puts the dialog behind QGIS main window to connecting to database puts the dialog 

behind QGIS main window

#2 - 2014-10-16 03:22 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d05b0395412b15cea934459db9fb002a2df5c393".
